org.deidentifier.arx.gui.view.impl.common

## Class ComponentRiskMonitor

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentRiskMonitor

    public class ComponentRiskMonitor
    extends java.lang.Object

A risk monitor

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ComponentRiskMonitor(org.eclipse.swt.widgets.Composite parent, Controller controller, java.lang.String text, java.lang.String shortText)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setLayoutData(java.lang.Object data)` Sets layout data
`void` `setRisk(double value)` Value between 0 and 1
`void` `setThreshold(double value)` Sets the risk threshold

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentRiskMonitor

    public ComponentRiskMonitor(org.eclipse.swt.widgets.Composite parent,
                                Controller controller,
                                java.lang.String text,
                                java.lang.String shortText)

Creates a new instance

Parameters:
  `parent` -
  `controller` -
  `text` -
  `shortText` -

### Method Detail

#### setLayoutData

    public void setLayoutData(java.lang.Object data)

Sets layout data

Parameters:
  `data` -

#### setRisk

    public void setRisk(double value)

Value between 0 and 1

Parameters:
  `value` -

#### setThreshold

    public void setThreshold(double value)

Sets the risk threshold

Parameters:
  `value` -